﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication21._Default" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

<div class="content-container-fluid">
    <div class="row">
        <div class="cols-sample-area">
            <br />
            <div id="Grid"></div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $.ajax({
        url: '/api/Orders', dataType: "json", success: function (jsonData) {
            $("#Grid").ejGrid({
                dataSource: jsonData,
                allowScrolling: true, allowTextWrap: true, allowSorting: true, enableRowHover: true, allowFiltering: true, filterSettings: { showPredicate: true, filterType: "excel" }, rowSelected: "onRowSelect",
                scrollSettings: { width: 1050, height: 500, allowVirtualScrolling: true, virtualScrollMode: "continuous" },
                toolbarClick: "exportGrid",
                toolbarSettings: { showToolbar: true, toolbarItems: [ej.Grid.ToolBarItems.ExcelExport] },
                columns: [
                            { field: "OrderID", isPrimaryKey: true, headerText: "Employee ID", textAlign: ej.TextAlign.Right, validationRules: { required: true, number: true }, width: 90 },
                            { field: "CustomerID", headerText: 'Customer ID', width: 100 }

                ]
            });
        }
    });
      
    function exportGrid(args) {

        args.cancel = true;

        var gridObj = $("#Grid").ejGrid("instance");

        gridObj.model["currentData"] = JSON.stringify(gridObj.getFilteredRecords());

        gridObj.export("/api/Orders/ExcelExport");

    }

</script>
</asp:Content>
